import { t } from '@lingui/macro';

const STRING_MAX_LENGTH = 255;

export const validationPatterns = {
  validateStringMaxLength: {
    pattern: new RegExp(`^[\\s\\S]{0,${STRING_MAX_LENGTH}}$`),
    get message() {
      return t`This field must not have more than 255 characters`;
    },
  },
};
